#!/bin/bash
while getopts ":a:b:cd" opcio
do
 case $opcio in
     a) echo a kapcsolo, argumentum: $OPTARG ;;
     b) echo b kapcsolo, argumentum: $OPTARG ;;
     c) echo c kapcsolo;;
     d) echo d kapcsolo;;
     ?) echo ismeretlen kapcsolo: $OPTARG
        echo használat: $0 [ -a N ] [ -b N ] [ -c ] [ -d] paraméterek ...
        exit 1
        ;;
 esac
done

echo vége a getopts hívásoknak, az OPTIND index értéke = $OPTIND

shift $(($OPTIND-1))
if [ -n "$1" ];then
  echo "$1" a megmaradt elso parameter
else
    echo Nincs tovabbi paramater
fi
